> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve eligible identity checks for a client



## OpenAPI

````yaml /openapi/identity.json post /identity/eligible-checks
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /identity/eligible-checks:
    post:
      tags:
        - Identity
      summary: Resolve eligible identity checks for a client
      operationId: identity.getEligibleChecks
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                clientId:
                  type: string
                  format: uuid
              required:
                - clientId
              additionalProperties: false
              description: Resolve which identity checks are eligible for a given client.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    check:
                      type: string
                    displayName:
                      type: string
                      minLength: 1
                    eligible:
                      type: boolean
                    missingFields:
                      type: array
                      items:
                        type: string
                  required:
                    - check
                    - displayName
                    - eligible
                    - missingFields
                  additionalProperties: false
                readOnly: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````